Skip to main content
POST
/
qualification-records
[beta] Create a qualification record.
curl --request POST \
  --url https://api.samsara.com/qualification-records \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fields": [],
  "issueDate": "2025-08-27T10:20:30Z",
  "owner": {
    "entityType": "worker",
    "id": "281474"
  },
  "qualificationType": {
    "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7"
  }
}
'
{
  "data": {
    "createdAtTime": "2019-06-13T19:08:25Z",
    "createdBy": {
      "id": "938172",
      "type": "driver"
    },
    "fields": [
      {
        "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
        "type": "text",
        "checkBoxesValue": {
          "value": [
            "Option A",
            "Option B"
          ],
          "valueIds": [
            "0cbbddb3-2541-4889-b4eb-92171cbfc142",
            "d33198cb-369f-4278-8120-d92d3ebf74bf"
          ]
        },
        "dateTimeValue": {
          "type": "datetime",
          "value": "2024-08-08T18:53:23Z",
          "dateValue": "2024-08-08"
        },
        "label": "License Number",
        "mediaList": [
          {
            "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
            "processingStatus": "processing",
            "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
            "urlExpiresAt": "2019-06-13T19:08:25Z"
          }
        ],
        "multipleChoiceValue": {
          "value": "Yes",
          "valueId": "94096370-7228-4d83-ae5d-b20f3e45c0fc"
        },
        "numberValue": {
          "value": 123.456
        },
        "signatureValue": {
          "media": {
            "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
            "processingStatus": "processing",
            "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
            "urlExpiresAt": "2019-06-13T19:08:25Z"
          }
        },
        "tableValue": {
          "columns": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "label": "Store Number",
              "type": "number"
            }
          ],
          "rows": [
            {
              "cells": [
                {
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "type": "number",
                  "checkBoxesValue": {
                    "value": [
                      "Option A",
                      "Option B"
                    ],
                    "valueIds": [
                      "0cbbddb3-2541-4889-b4eb-92171cbfc142",
                      "d33198cb-369f-4278-8120-d92d3ebf74bf"
                    ]
                  },
                  "dateTimeValue": {
                    "type": "datetime",
                    "value": "2024-08-08T18:53:23Z",
                    "dateValue": "2024-08-08"
                  },
                  "mediaValue": {
                    "mediaList": [
                      {
                        "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
                        "processingStatus": "processing",
                        "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
                        "urlExpiresAt": "2019-06-13T19:08:25Z"
                      }
                    ]
                  },
                  "multipleChoiceValue": {
                    "value": "Yes",
                    "valueId": "94096370-7228-4d83-ae5d-b20f3e45c0fc"
                  },
                  "numberValue": {
                    "value": 123.456
                  },
                  "personValue": {
                    "person": {
                      "entryType": "tracked",
                      "name": "Jake",
                      "polymorphicUserId": {
                        "id": "938172",
                        "type": "driver"
                      }
                    }
                  },
                  "signatureValue": {
                    "media": {
                      "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
                      "processingStatus": "processing",
                      "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
                      "urlExpiresAt": "2019-06-13T19:08:25Z"
                    }
                  },
                  "textValue": {
                    "value": "Exposed wires"
                  }
                }
              ],
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            }
          ]
        },
        "textValue": {
          "value": "Exposed wires"
        }
      }
    ],
    "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
    "issueDate": "2025-08-27T10:20:30Z",
    "owner": {
      "entityType": "worker",
      "id": "281474",
      "externalIds": {}
    },
    "qualificationType": {
      "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
      "name": "Driver License",
      "revisionId": "1214a1fa-f0c6-408b-bf85-51dc3bc71ac7"
    },
    "recordStatus": "active",
    "updatedAtTime": "2019-06-13T19:08:25Z",
    "updatedBy": {
      "id": "938172",
      "type": "driver"
    },
    "expirationDate": "2026-08-27T10:20:30Z",
    "externalIds": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Qualification record fields to create. All fields defined as required in qualification type should be provided.

issueDate
string<date-time>
required

Issue/effective date. UTC timestamp in RFC 3339 format.

Example:

"2025-08-27T10:20:30Z"

owner
object
required

Owner of the qualification record.

qualificationType
object
required

Qualification type reference.

expirationDate
string<date-time>

Expiration date. UTC timestamp in RFC 3339 format.

Example:

"2026-08-27T10:20:30Z"

externalIds
object

A map of external ids

fields
object[]

Other custom fields in a qualification record.

Response

Created response.

data
object
required

Qualification Record response object.